IntelliPhotoGui Class Reference

The IntelliPhotoGui base class handles the graphical user interface and events for the intelliPhoto program. More...

`#include <IntelliPhotoGui.h>`

Inheritance diagram for IntelliPhotoGui:

## Public Member Functions

| IntelliPhotoGui ()
| The IntelliPhotoGui method is the constructor and is used to create a new instance of the main program window. More...
void | UpdateGui ()
| UpdateGui a function to update all gui elements. More...
void | setToolWidth (int value)
| setToolWidth stes a width to the tool More...

## Protected Member Functions

void | closeEvent (QCloseEvent *event) override
| The closeEvent function handles closing events. More...

## Detailed Description

The IntelliPhotoGui base class handles the graphical user interface and events for the intelliPhoto program.

Definition at line 34 of file IntelliPhotoGui.h.

## Constructor & Destructor Documentation

## IntelliPhotoGui()

IntelliPhotoGui::IntelliPhotoGui | ( |  | ) |

The IntelliPhotoGui method is the constructor and is used to create a new instance of the main program window.

Definition at line 14 of file IntelliPhotoGui.cpp.

## Member Function Documentation

## closeEvent()

void IntelliPhotoGui::closeEvent | ( | QCloseEvent * | event | ) |

overrideprotected

The closeEvent function handles closing events.

Definition at line 30 of file IntelliPhotoGui.cpp.

## setToolWidth()

void IntelliPhotoGui::setToolWidth | ( | int | value | ) |

setToolWidth stes a width to the tool

Parameters

  value | - the width of the tool

Definition at line 923 of file IntelliPhotoGui.cpp.

## UpdateGui()

void IntelliPhotoGui::UpdateGui | ( |  | ) |

UpdateGui a function to update all gui elements.

Definition at line 932 of file IntelliPhotoGui.cpp.

The documentation for this class was generated from the following files:

- src/GUI/IntelliPhotoGui.h
- src/GUI/IntelliPhotoGui.cpp